use advent_of_code::strings::{get_numbers, get_string_numbers};
#[allow(unused_imports)]
use advent_of_code_macros::{include_data, include_example};

include_data!(DATAa 2023 01a);
include_data!(DATAb 2023 01b);

fn main() {
    let mut sum: u32 = 0;
    for coordinates in DATAa.split('\n').map(get_numbers) {
        if coordinates.len() == 0 {
            continue;
        }
        let first = coordinates.first().unwrap() * 10;
        let last = *coordinates.last().unwrap();
        let number = first + last;
        println!("Number: {}", number);
        sum += number;
    }
    println!("Sum of Numbers {}", sum);
    sum = 0;
    for coordinates in DATAb.split('\n').map(get_string_numbers) {
        if coordinates.len() == 0 {
            continue;
        }
        let first = coordinates.first().unwrap() * 10;
        let last = *coordinates.last().unwrap();
        let number = first + last;
        println!("Number: {}", number);
        sum += number;
    }
    println!("Sum of Numbers with strings {}", sum);
}
